public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/gappalib-coq/
Date: Mon, 10 Apr 2023 18:49:26 +0000 (UTC)	[thread overview]
Message-ID: <1681152562.9570e800fac85b2b29020ddcf5867e43ac2b638e.xgqt@gentoo> (raw)

commit:     9570e800fac85b2b29020ddcf5867e43ac2b638e
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 10 17:40:29 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Apr 10 18:49:22 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9570e800

sci-mathematics/gappalib-coq: bump to 1.5.3

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/gappalib-coq/Manifest              |  1 +
 .../gappalib-coq/gappalib-coq-1.5.3.ebuild         | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/sci-mathematics/gappalib-coq/Manifest b/sci-mathematics/gappalib-coq/Manifest
index 77c1b5979ea9..c717d3e5a5aa 100644
--- a/sci-mathematics/gappalib-coq/Manifest
+++ b/sci-mathematics/gappalib-coq/Manifest
@@ -1 +1,2 @@
 DIST gappalib-coq-1.5.2.tar.gz 115236 BLAKE2B a2515d488e229cfe8dd44ac3508af9b8e0ad96dda7cb4ffdbea7f4d75e97a3263c29a043b6484351df995129c77af9af11d3c226dd4f63630816f50a9a50639a SHA512 4b3d8dcb5d97a5fb9fad9d9997eb1f19a62262ea930e157e10dd06ef7f99cc45a25a024f03ce984ebd0d142edd62dbbdbd832a4da41ea5eb8ea3287c7109dda2
+DIST gappalib-coq-1.5.3.tar.gz 119795 BLAKE2B c66eecbc32c0559cb4b818ad86f31bd3a29e90389f8fd98adf61426025b0d60b2919075487d4d8aa50c8b020909ed5d9f121c0ca516a5320b5a1246b6278ced4 SHA512 2a40386371bb3e940383e7568bf49b60ffc1d941a8aa7efd24bb88afa70d6cbdc8ed23ab849f2dbfb3add5055131ddebdb1df05840ed62f27dfd3caefc31e72f

diff --git a/sci-mathematics/gappalib-coq/gappalib-coq-1.5.3.ebuild b/sci-mathematics/gappalib-coq/gappalib-coq-1.5.3.ebuild
new file mode 100644
index 000000000000..5b11673ef1d8
--- /dev/null
+++ b/sci-mathematics/gappalib-coq/gappalib-coq-1.5.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multiprocessing
+
+DESCRIPTION="Allows the certificates Gappa generates to be imported by the Coq"
+HOMEPAGE="https://gappa.gitlabpages.inria.fr/
+	https://gitlab.inria.fr/gappa/coq/"
+SRC_URI="https://gappa.gitlabpages.inria.fr/releases/${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ocamlopt"
+
+RDEPEND="
+	dev-lang/ocaml:=[ocamlopt?]
+	>=sci-mathematics/coq-8.12:=
+	sci-mathematics/flocq:=
+	sci-mathematics/gappa
+"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-ml/findlib"
+
+# Do not complain about CFLAGS etc since ML projects do not use them.
+QA_FLAGS_IGNORED='.*'
+
+src_compile() {
+	./remake --jobs=$(makeopts_jobs) || die
+}
+
+src_test() {
+	./remake --jobs=$(makeopts_jobs) check || die
+}
+
+src_install() {
+	DESTDIR="${D}" ./remake install || die
+
+	dodoc AUTHORS INSTALL.md NEWS.md README.md
+}


             reply	other threads:[~2023-04-10 18:49 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-04-10 18:49 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-02-16 11:59 [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/gappalib-coq/ Maciej Barć
2022-12-24 22:26 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1681152562.9570e800fac85b2b29020ddcf5867e43ac2b638e.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox